<?php if (!defined('access')) {die("Die gesuchte Ressource wurde entfernt oder umbenannt, oder sie steht vorübergehend nicht zur Verfügung.");} ?>
<?php
if(!empty($_GET['error']) && is_numeric($_GET['error'])) {

	$intErrorCode = $_GET['error'];
	
	#TODO: Change IF into SWITCH
	if($intErrorCode == 400) {
		$strTitle = $_LANG['400_title'];
		$strText = $_LANG['400_text'];
	}
	if($intErrorCode == 401) {
		$strTitle = $_LANG['401_title'];
		$strText = $_LANG['401_text'];
	}
	if($intErrorCode == 403) {
		$strTitle = $_LANG['403_title'];
		$strText = $_LANG['403_text'];
	}
	if($intErrorCode == 405) {
		$strTitle = $_LANG['405_title'];
		$strText = $_LANG['405_text'];
	}
	if($intErrorCode == 406) {
		$strTitle = $_LANG['406_title'];
		$strText = $_LANG['406_text'];
	}
	if($intErrorCode == 412) {
		$strTitle = $_LANG['412_title'];
		$strText = $_LANG['412_text'];
	}
	if($intErrorCode == 500) {
		$strTitle = $_LANG['500_title'];
		$strText = $_LANG['500_text'];
	}
	if($intErrorCode == 501) {
		$strTitle = $_LANG['501_title'];
		$strText = $_LANG['501_text'];
	}
	if($intErrorCode == 502) {
		$strTitle = $_LANG['502_title'];
		$strText = $_LANG['502_text'];
	}
	if($intErrorCode == 503) {
		$strTitle = $_LANG['503_title'];
		$strText = $_LANG['503_text'];
	}
	if($intErrorCode == 504) {
		$strTitle = $_LANG['504_title'];
		$strText = $_LANG['504_text'];
	}
}
else {
	$intErrorCode = 404;
	$strTitle = $_LANG['404_title'];
	$strText = $_LANG['404_text'];
}


echo '
<p class="page_title">
	' . $intErrorCode . ' - ' . $strTitle . '
</p>
<p class="fail">
	' . $strText . '
</p>
';